Index: drivers/dahdi/hpec/dahdi_echocan_hpec.c
===================================================================
--- drivers/dahdi/hpec/dahdi_echocan_hpec.c	(revision 4608)
+++ drivers/dahdi/hpec/dahdi_echocan_hpec.c	(working copy)
@@ -31,7 +31,7 @@
 static int debug;
 
 #define module_printk(level, fmt, args...) printk(level "%s: " fmt, THIS_MODULE->name, ## args)
-#define debug_printk(level, fmt, args...) if (debug >= level) printk("%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
+#define debug_printk(level, fmt, args...) if (debug >= level) printk(KERN_DEBUG "%s (%s): " fmt, THIS_MODULE->name, __FUNCTION__, ## args)
 
 #include "hpec_user.h"
 #include "hpec.h"
@@ -51,7 +51,7 @@
 	va_start(args, format);
 	res = vsnprintf(buf, sizeof(buf), format, args);
 	va_end(args);
-	printk(buf);
+	printk(KERN_INFO "%s" buf);
 #endif
 
 	return res;
Index: drivers/dahdi/dahdi_echocan_mg2.c
===================================================================
--- drivers/dahdi/dahdi_echocan_mg2.c	(revision 4608)
+++ drivers/dahdi/dahdi_echocan_mg2.c	(working copy)
@@ -344,7 +344,7 @@
 static void echo_can_free(struct echo_can_state *ec)
 {
 #if defined(DC_NORMALIZE) && defined(MEC2_DCBIAS_MESSAGE)
-	printk("EC: DC bias calculated: %d V\n", ec->dc_estimate >> 15);
+	printk(KERN_INFO "EC: DC bias calculated: %d V\n", ec->dc_estimate >> 15);
 #endif
 	kfree(ec);
 }
Index: drivers/dahdi/wct4xxp/vpm450m.c
===================================================================
--- drivers/dahdi/wct4xxp/vpm450m.c	(revision 4608)
+++ drivers/dahdi/wct4xxp/vpm450m.c	(working copy)
@@ -57,7 +57,7 @@
 UINT32 Oct6100UserDestroySerializeObject(tPOCT6100_DESTROY_SERIALIZE_OBJECT f_pDestroy)
 {
 #ifdef OCTASIC_DEBUG
-	printk("I should never be called! (destroy serialize object)\n");
+	printk(KERN_DEBUG "I should never be called! (destroy serialize object)\n");
 #endif
 	return cOCT6100_ERR_OK;
 }
@@ -218,7 +218,7 @@
 		return;
 	modify = kmalloc(sizeof(tOCT6100_CHANNEL_MODIFY), GFP_ATOMIC);
 	if (!modify) {
-		printk("wct4xxp: Unable to allocate memory for setec!\n");
+		printk(KERN_NOTICE "wct4xxp: Unable to allocate memory for setec!\n");
 		return;
 	}
 	Oct6100ChannelModifyDef(modify);
@@ -226,10 +226,10 @@
 	modify->ulChannelHndl = vpm450m->aulEchoChanHndl[channel];
 	ulResult = Oct6100ChannelModify(vpm450m->pApiInstance, modify);
 	if (ulResult != GENERIC_OK) {
-		printk("Failed to apply echo can changes on channel %d!\n", channel);
+		printk(KERN_NOTICE "Failed to apply echo can changes on channel %d!\n", channel);
 	} else {
 #ifdef OCTASIC_DEBUG
-		printk("Echo can on channel %d set to %d\n", channel, mode);
+		printk(KERN_DEBUG "Echo can on channel %d set to %d\n", channel, mode);
 #endif
 		vpm450m->ecmode[channel] = mode;
 	}
@@ -243,7 +243,7 @@
 
 	modify = kmalloc(sizeof(tOCT6100_CHANNEL_MODIFY), GFP_KERNEL);
 	if (!modify) {
-		printk("wct4xxp: Unable to allocate memory for setdtmf!\n");
+		printk(KERN_NOTICE "wct4xxp: Unable to allocate memory for setdtmf!\n");
 		return;
 	}
 	Oct6100ChannelModifyDef(modify);
@@ -271,9 +271,9 @@
 
 	ulResult = Oct6100ChannelModify(vpm450m->pApiInstance, modify);
 	if (ulResult != GENERIC_OK) {
-		printk("Failed to apply dtmf mute changes on channel %d!\n", channel);
+		printk(KERN_NOTICE "Failed to apply dtmf mute changes on channel %d!\n", channel);
 	}
-/*	printk("VPM450m: Setting DTMF on channel %d: %s / %s\n", channel, (detect ? "DETECT" : "NO DETECT"), (mute ? "MUTE" : "NO MUTE")); */
+/*	printk(KERN_DEBUG "VPM450m: Setting DTMF on channel %d: %s / %s\n", channel, (detect ? "DETECT" : "NO DETECT"), (mute ? "MUTE" : "NO MUTE")); */
 	kfree(modify);
 }
 
@@ -291,7 +291,7 @@
 		} else
 			vpm450m_setecmode(vpm450m, channel, cOCT6100_ECHO_OP_MODE_DIGITAL);
 	}
-/*	printk("VPM450m: Setting EC on channel %d to %d\n", channel, eclen); */
+/*	printk(KERN_DEBUG "VPM450m: Setting EC on channel %d to %d\n", channel, eclen); */
 }
 
 int vpm450m_checkirq(struct vpm450m *vpm450m)
@@ -372,7 +372,7 @@
 				break;
 			default:
 #ifdef OCTASIC_DEBUG
-				printk("Unknown tone value %08x\n", tonefound.ulToneDetected);
+				printk(KERN_DEBUG "Unknown tone value %08x\n", tonefound.ulToneDetected);
 #endif
 				*tone = 'u';
 				break;
@@ -399,7 +399,7 @@
 
 	ulResult = Oct6100ApiGetCapacityPins(&CapacityPins);
 	if (ulResult != cOCT6100_ERR_OK) {
-		printk("Failed to get chip capacity, code %08x!\n", ulResult);
+		printk(KERN_DEBUG "Failed to get chip capacity, code %08x!\n", ulResult);
 		return 0;
 	}
 
@@ -442,7 +442,7 @@
 		vpm450m->ecmode[x] = -1;
 
 	vpm450m->numchans = numspans * 32;
-	printk("VPM450: echo cancellation for %d channels\n", vpm450m->numchans);
+	printk(KERN_INFO "VPM450: echo cancellation for %d channels\n", vpm450m->numchans);
 		
 	Oct6100ChipOpenDef(ChipOpen);
 
@@ -469,7 +469,7 @@
 
 	ulResult = Oct6100GetInstanceSize(ChipOpen, &InstanceSize);
 	if (ulResult != cOCT6100_ERR_OK) {
-		printk("Failed to get instance size, code %08x!\n", ulResult);
+		printk(KERN_NOTICE "Failed to get instance size, code %08x!\n", ulResult);
 		kfree(vpm450m);
 		kfree(ChipOpen);
 		kfree(ChannelOpen);
@@ -479,7 +479,7 @@
 	
 	vpm450m->pApiInstance = vmalloc(InstanceSize.ulApiInstanceSize);
 	if (!vpm450m->pApiInstance) {
-		printk("Out of memory (can't allocate %d bytes)!\n", InstanceSize.ulApiInstanceSize);
+		printk(KERN_NOTICE "Out of memory (can't allocate %d bytes)!\n", InstanceSize.ulApiInstanceSize);
 		kfree(vpm450m);
 		kfree(ChipOpen);
 		kfree(ChannelOpen);
@@ -496,7 +496,7 @@
 #endif
 	ulResult = Oct6100ChipOpen(vpm450m->pApiInstance, ChipOpen);
 	if (ulResult != cOCT6100_ERR_OK) {
-		printk("Failed to open chip, code %08x!\n", ulResult);
+		printk(KERN_NOTICE "Failed to open chip, code %08x!\n", ulResult);
 #ifdef CONFIG_4KSTACKS
 		local_irq_restore(flags);
 #endif
@@ -541,7 +541,7 @@
 			
 			ulResult = Oct6100ChannelOpen(vpm450m->pApiInstance, ChannelOpen);
 			if (ulResult != GENERIC_OK) {
-				printk("Failed to open channel %d!\n", x);
+				printk(KERN_NOTICE "Failed to open channel %d!\n", x);
 			}
 			for (y=0;y<sizeof(tones) / sizeof(tones[0]); y++) {
 				tOCT6100_TONE_DETECTION_ENABLE enable;
@@ -549,7 +549,7 @@
 				enable.ulChannelHndl = vpm450m->aulEchoChanHndl[x];
 				enable.ulToneNumber = tones[y];
 				if (Oct6100ToneDetectionEnable(vpm450m->pApiInstance, &enable) != GENERIC_OK) 
-					printk("Failed to enable tone detection on channel %d for tone %d!\n", x, y);
+					printk(KERN_NOTICE "Failed to enable tone detection on channel %d for tone %d!\n", x, y);
 			}
 		}
 	}
@@ -570,7 +570,7 @@
 	Oct6100ChipCloseDef(&ChipClose);
 	ulResult = Oct6100ChipClose(vpm450m->pApiInstance, &ChipClose);
 	if (ulResult != cOCT6100_ERR_OK) {
-		printk("Failed to close chip, code %08x!\n", ulResult);
+		printk(KERN_NOTICE "Failed to close chip, code %08x!\n", ulResult);
 	}
 	vfree(vpm450m->pApiInstance);
 	kfree(vpm450m);
